# TemplateBasedScriptGenerator

interface TemplateBasedScriptGenerator : ScriptGenerator

Interface for generating scripts with the provided details based on a provided template.

## Functions

generateScript
Link copied to clipboard
abstract fun generateScript(details: JavaAppStartScriptGenerationDetails, destination: Writer)
getTemplate
Link copied to clipboard
abstract fun getTemplate(): TextResource
Gets the template reader used for generating script.
setTemplate
Link copied to clipboard
abstract fun setTemplate(template: TextResource)
Sets the template text resource used for generating script.